/*
  Задание:
  1. Создать редьюсер для ваших данных (сообщение) с состояниями:
    loading
    loaded
    data
    error

  2. Создть компонент в который передавать эти данные через connect.
  3. Создать ActionCreator в котором будет находится fetchRequest на получение данных с API
  4. Вызывать этот экшн в componentDidMount вашегосозданого компонента.
  5. Рендерить список полученных данных

  AppMap ->
    / -> Список из 50 постов, и кнопочка "показать еще" - подгружает по 25 постов. По умолчению грузит все, показывает по 25
    /post/:postid -> страничка конкретного поста.
      -> На страничке выводим все данные которые есть в объекте поста
        И делаем ссылку на автора поста которая будет вести на роут
    /user/:userid -> получить все посты пользователя
      -> Возле каждого поста в списке делаем ссылку на сам пост /post/1

  // API ->
  https://jsonplaceholder.typicode.com/posts/ -> Получить все посты
  http://jsonplaceholder.typicode.com/posts/1/ -> Получить конкретный пост
  http://jsonplaceholder.typicode.com/posts/1/comments -> Получить комментарии поста

  http://jsonplaceholder.typicode.com/posts?userId=1 -> Получить все посты юзера 1

*/
